<?xml version="1.0" encoding="UTF-8" ?>
  <!--
    ************************************************************************* 
    * The contents of this file are subject to the Openbravo Public License 
    * Version 1.0 (the "License"), being the Mozilla Public License 
    * Version 1.1 with a permitted attribution clause; you may not use this 
    * file except in compliance with the License. You may obtain a copy of 
    * the License at http://www.openbravo.com/legal/license.html 
    * Software distributed under the License is distributed on an "AS IS" 
    * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
    * License for the specific language governing rights and limitations 
    * under the License. 
    * The Original Code is Openbravo ERP. 
    * The Initial Developer of the Original Code is Openbravo SL
    * All portions are Copyright (C) 2001-2018 Openbravo SL 
    * All Rights Reserved. 
    * Contributor(s):
    *  Leo Arias <leo.arias@openbravo.com>, 
    *  Iván Perdomo <ipe@openbravo.com>,
    *  Arun Kumar <aku@openbravo.com>,
    *  Pablo Lujan <plu@openbravo.com>,
    *  Lorenzo Fidalgo <lorenzo.fidalgo@openbravo.com>.
    *
    * The tasks to start and stop selenium server were taken from 
    * selenium-rc wiki page: 
    * http://wiki.openqa.org/display/SRC/Selenium-RC+and+Continuous+Integration
    ************************************************************************
  -->
<project name="Tests" basedir=".">
  <property name="config" location="config" />
  <property file="${config}/OpenbravoERPTest.properties" />
  <property file="${config}/packagesNotInQAAPI"/>
  <property name="packages.excluded" value="${config}/packagesNotInQAAPI" /> 
  <property name="build.javadoc" value="javadoc" />
  <property name="build.test.src" value="src-test" />
  <condition property="workdir" value="${localdir}/" else="" >
    <isset property="localdir" />
  </condition>
  <property name="build.test" value="${workdir}build/classes" />
  <property name="lib" value="lib" />
  <property name="test.last" value="last-results" />
  <property name="test.log" value="logs" />
  <property name="test.screenshot" value="screenshots" />
  <property name="test.report" value="report" />
  <property name="test.backup" value="backups" />
  <property name="geckodriver" value="${user.dir}/geckodriver" />
  <condition property="bbdd.owner.url" value="${bbdd.url}/${bbdd.sid}" else="${bbdd.url}">
    <and>
      <equals arg1="${bbdd.rdbms}" arg2="POSTGRE" />
    </and>
  </condition>
  
  <target name="init">
    <echo message="Making test directories." level="info" />
    <mkdir dir="${build.test}" />
    <mkdir dir="${test.last}/${openbravo.context}/${test.log}" />
    <mkdir dir="${test.last}/${openbravo.context}/${test.report}" />
    <mkdir dir="${test.last}/${openbravo.context}/${test.screenshot}" />
  </target>
  
  <path id="test.classpath">
    <pathelement location="${build.test}" />
    <pathelement location="${config}" />
    <fileset dir="${basedir}/${lib}" includes="**/*.jar"/>
  </path>
  
  <target name="compile" depends="init">
    <echo message="Compiling tests." level="info" />
    <javac srcdir="${build.test.src}" destdir="${build.test}" deprecation="on" encoding="UTF-8"
      debug="on" debuglevel="lines,vars,source" classpathref="test.classpath" />
  </target>
  
  <target name="test.integration" depends="compile"
    description="Start selenium; perform an integration test; and stop selenium">
    <echo message="Execute an integration test." level="info" />
    <antcall target="selenium.start" />
    <junit fork="yes" haltonfailure="true" printsummary="withOutAndErr" showoutput="yes" outputtoformatters="false" logfailedtests="true">
      <test name="${testclass}" todir="${test.last}/${openbravo.context}/${test.log}" />
      <formatter type="xml" />
      <classpath>
        <path refid="test.classpath" />
      </classpath>
    </junit>
    <antcall target="selenium.stop" />
  </target>
  
  <target name="selenium.start" if="sequential">
    <echo message="Starting Selenium server." level="info" />
    <java jar="lib/selenium-server-standalone-3.141.59.jar" fork="true" spawn="true">
    </java>
    <echo taskname="waitfor" message="Wait for proxy server launch" />
        <waitfor maxwait="2" maxwaitunit="minute" checkevery="100">
          <http url="http://localhost:4444/selenium-server/driver/?cmd=testComplete" />
        </waitfor>
  </target>
  
  <target name="selenium.stop" if="sequential">
    <echo message="Stoping Selenium server." level="info" />
    <get taskname="selenium-shutdown" src="http://localhost:4444/selenium-server/driver/?cmd=shutDownSeleniumServer"
      dest="${test.last}/${openbravo.context}/${test.log}/result.txt" ignoreerrors="true" />
    <sleep seconds="5" />
    <echo taskname="selenium-shutdown" message="DGF Errors during shutdown are expected" />
  </target>
  
  <target name="seleniumhub.start" description="Launch Selenium Hub">
    <echo message="Starting Selenium hub." level="info" />
    <java classname="com.thoughtworks.selenium.grid.hub.HubServer" 
      classpathref="test.classpath" fork="true" failonerror="true">
    </java>
  </target>
  
  <path id="remote-control.classpath">
    <fileset dir="${basedir}/lib">
      <include name="selenium-server-standalone-2.2.0.jar"/>
    </fileset>
    <!-- Selenium Server must be first in classpath -->
    <pathelement location="${config}" />
    <fileset dir="${basedir}/lib">
      <include name="selenium-grid-remote-control-standalone-1.0.8.jar"/>
      <include name="log4j-api-2.11.1.jar"/>
      <include name="log4j-core-2.11.1.jar"/>
    </fileset>
    <pathelement path="${java.class.path}/"/>
  </path>
  
  <property name="host" value="localhost"/>
  <property name="port" value="5555"/>
  <property name="hubURL" value="http://localhost:4444"/>
  <property name="environment" value="*firefox"/>
  <property name="seleniumArgs" value=""/>
  
  <target name="seleniumrc.start" description="Launch A Remote Control">
    <echo message="Starting Selenium remote control." level="info" />
    <java classpathref="remote-control.classpath" classname="com.thoughtworks.selenium.grid.remotecontrol.SelfRegisteringRemoteControlLauncher" fork="true" failonerror="true">
      <sysproperty key="http.proxyHost" value="${http.proxyHost}"/>
      <sysproperty key="http.proxyPort" value="${http.proxyPort}"/>
      <sysproperty key="https.proxyHost" value="${https.proxyHost}"/>
      <sysproperty key="https.proxyPort" value="${https.proxyPort}"/>
      <arg value="-port"/>
      <arg value="${port}"/>
      <arg value="-host"/>
      <arg value="${host}"/>
      <arg value="-hubURL"/>
      <arg value="${hubURL}"/>
      <arg value="-env"/>
      <arg value="${environment}"/>
      <arg value="-hubPollerIntervalInSeconds"/>
      <arg value="${hubPollerIntervalInSeconds}"/>
      <arg line="${seleniumArgs}"/>
    </java>
  </target>
  
  <target name="report" description="Generates a report of the tests">
    <echo message="Generating test report." level="info" /> 
    <tstamp>
      <format property="timestamp" pattern="yyyyMMddHHmmss" />
    </tstamp>
    <junitreport todir="${test.last}/${openbravo.context}/${test.report}" tofile="TESTS-TestSuites.xml">
      <fileset dir="${test.last}/${openbravo.context}/${test.log}">
        <include name="TEST-*.xml" />
      </fileset>
      <report format="frames" todir="${test.report}/html" />
    </junitreport>
  </target>
  
  <target name="clean" description="Destroys all generated files and dirs. Does not back up logs, reports nor screenshots.">
    <delete dir="${build.test}" />
    <delete dir="${test.last}/${openbravo.context}" />
  </target>
  
  <target name="backup.last.result" description="Backs up log, report and screenshot files. Not required when using Jenkins.">
    <tstamp>
      <format property="timestamp" pattern="yyyyMMddhhmmss" />
    </tstamp>
    <echo message="Backing up results to backups directory." level="info" />
    <move file="${test.last}/${openbravo.context}/${test.log}" 
          todir="${test.backup}/${openbravo.context}/${timestamp}" failonerror="false" />
    <move file="${test.last}/${openbravo.context}/${test.report}" 
          todir="${test.backup}/${openbravo.context}/${timestamp}" failonerror="false" />
    <move file="${test.last}/${openbravo.context}/${test.screenshot}" 
          todir="${test.backup}/${openbravo.context}/${timestamp}" failonerror="false" />
  </target>
  
  <target name="scenario.clean" description="Runs the clean script so the Smoke Test can run again">
    <echo>"scenarioClean${bbdd.rdbms}.sql"</echo>
    <sql driver="${bbdd.driver}" url="${bbdd.owner.url}" userid="${bbdd.user}" password="${bbdd.password}"
      src="scenarioClean${bbdd.rdbms}.sql" onerror="abort" autocommit="true" delimiter="/">
      <classpath refid="test.classpath" />
    </sql>
  </target>
  
  <target name="registration.disable" 
    description="Runs an update SQL query that disables the registration pop up">
    <echo>"disableRegistration.sql"</echo>
    <sql driver="${bbdd.driver}" url="${bbdd.owner.url}" userid="${bbdd.user}" password="${bbdd.password}"
      src="disableRegistration.sql" onerror="abort" autocommit="true" delimiter="/">
      <classpath refid="test.classpath" />
    </sql>
  </target>
  
  <target name="generate.javadoc">
      <javadoc   sourcepath="${build.test.src}"
                 excludepackagenames="${javadoc.excludepackagenames}"
                 defaultexcludes="yes"
                 destdir="${build.javadoc}"
                 access="protected"
                 linksource="no"
                 maxmemory="1024M"
                 author="true"
                 windowtitle="QA API">
        <classpath>
            <fileset dir="${lib}">
              <include name="**/*.jar" />
            </fileset>
        </classpath>
        <arg value="-Xmaxwarns"/>
        <arg value="1200"/>
          <doctitle><![CDATA[<h1>QA API</h1>]]></doctitle>
          <bottom><![CDATA[<i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i>]]></bottom>      
          <link href="http://docs.oracle.com/javase/7/docs/api/"/>
        </javadoc>
    </target>
  
  <target name="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
        <antcall target="test.integration">
          <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.ActivateQAAdminUserWithClosure" />
        </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
      <antcall target="test.integration">
          <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries" />
      </antcall>
  </target>
  
  <target name="test.integration.erp.testsuites.smoke.procurement.ProcurementSuite" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
        <antcall target="test.integration">
          <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.procurement.ProcurementSuite" />
        </antcall>
  </target>

  <target name="test.integration.erp.testsuites.smoke.financial.FinancialSuite" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
        <antcall target="test.integration">
          <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.procurement.FinancialSuite" />
        </antcall>
  </target>
  
  <target name="test.integration.erp.testsuites.smoke.masterdata.MasterDataSuite" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
          <antcall target="test.integration">
            <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.procurement.MasterDataSuite" />
          </antcall>
   </target>
  
  <target name="test.integration.erp.testsuites.smoke.sales.SalesSuite" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
          <antcall target="test.integration">
              <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.procurement.SalesSuite" />
          </antcall>
  </target>
  
  <target name="test.integration.erp.testsuites.smoke" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
            <antcall target="test.integration">
                <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.SmokeSuite" />
            </antcall>
  </target>
  
  <target name="test.integration.erp.modules.bigamount.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
              <antcall target="test.integration">
                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.bigamount.testsuites.BigAmountSuite" />
              </antcall>
   </target>
  
  <target name="test.integration.erp.modules.alternativeflows.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                    <param name="testclass" value="com.openbravo.test.integration.erp.modules.alternativeflows.testsuites.AlternativeFlowsSuite" />
                </antcall>
  </target>

  <target name="test.integration.erp.modules.client.application.testsuites.maintabset">
              <antcall target="test.integration">
                        <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.maintabset.MainTabSetSuite" />
              </antcall>
  </target>
  
  <target name="test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">
                <antcall target="test.integration">
                          <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents.NavigationBarComponentsSuite" />
                </antcall>
  </target>

  <target name="test.integration.erp.modules.client.application.testsuites.standardview.form.fields">
                <antcall target="test.integration">
                      <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form.fields.FormFieldSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.client.application.testsuites.standardview.form.sections">
                <antcall target="test.integration">
                        <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form.sections.FormSectionsSuite" />
                </antcall>
    </target>
  
  <target name="test.integration.erp.modules.client.application.testsuites.standardview.form">
                <antcall target="test.integration">
                        <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form.FormSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.client.application.testsuites.standardview.grid">
                <antcall target="test.integration">
                      <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.grid.GridSuite" />
                </antcall>
  </target>

  <target name="test.integration.erp.modules.client.application.testsuites.standardview">
                <antcall target="test.integration">
                        <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.StandardViewSuite" />
                </antcall>
  </target>

  <target name="test.integration.erp.modules.client.application.testsuites">
                <antcall target="test.integration">
                          <param name="testclass" value="com.openbravo.test.integration.erp.modules.client.application.testsuites.MNSQSuite" />
                </antcall>
  </target>
 
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.MultiAccountingSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.testsuites.guiunit">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.guiunit.LoginSuccessFailSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.smoke">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.SmokeMasterDataSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.smoke.modules" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.SmokeModulesSuite" />
                </antcall>
  </target>
  
  <target name="int-modules">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.modules.ci.IntModulesSuite" />
                </antcall>
  </target>
  
  <target name="int-upgrade-fs">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.modules.ci.Upgrade_FSSuite" />
                </antcall>
  </target>  

  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMc_MulticurrencySchema" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMc_MulticurrencySchema.MultiCurrencySuite" />
                  </antcall>
    </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_AddPaymentRefactor.APR_AddPaymentRefactor1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_AddPaymentRefactor.APR_AddPaymentRefactor1.AddPaymentSuite1" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_AddPaymentRefactor.APR_AddPaymentRefactor2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_AddPaymentRefactor.APR_AddPaymentRefactor2.AddPaymentSuite2" />
                  </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_AddPaymentRefactor.APR_AddPaymentRefactor3" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_AddPaymentRefactor.APR_AddPaymentRefactor3.AddPaymentSuite3" />
                  </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_TransactionRefactor" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_TransactionRefactor.TransactionSuite" />
                </antcall>
    </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_ReconciliationRefactor.APR_ReconciliationRefactor1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_ReconciliationRefactor.APR_ReconciliationRefactor1.ReconciliationSuite1" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_ReconciliationRefactor.APR_ReconciliationRefactor2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_ReconciliationRefactor.APR_ReconciliationRefactor2.ReconciliationSuite2" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions1.APRIn_RegressionSuite1" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                               <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions2.APRIn_RegressionSuite2" />
                </antcall>
  </target>
  
<target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions3" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
              <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions3.APRIn_RegressionSuite3" />
              </antcall>
</target>
    
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions4" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions4.APRIn_RegressionSuite4" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions5" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions5.APRIn_RegressionSuite5" />
                  </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions6" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions6.APRIn_RegressionSuite6" />
                  </antcall>
  </target>

  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions7" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                    <antcall target="test.integration">
                                    <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions7.APRIn_RegressionSuite7" />
                    </antcall>
  </target>

  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions8" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                    <antcall target="test.integration">
                                    <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions8.APRIn_RegressionSuite8" />
                    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions9" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                      <antcall target="test.integration">
                                      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APRIn_Regressions9.APRIn_RegressionSuite9" />
                      </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions1.APROut_RegressionSuite1" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions2.APROut_RegressionSuite2" />
                </antcall>
  </target>
  
<target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions3" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
               <antcall target="test.integration">
                               <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions3.APROut_RegressionSuite3" />
               </antcall>
</target>
    
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions4" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                 <antcall target="test.integration">
                                 <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions4.APROut_RegressionSuite4" />
                 </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions5" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                   <antcall target="test.integration">
                                   <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions5.APROut_RegressionSuite5" />
                   </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions6" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                   <antcall target="test.integration">
                                   <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions6.APROut_RegressionSuite6" />
                   </antcall>
  </target>
    
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions7" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                     <antcall target="test.integration">
                                     <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions7.APROut_RegressionSuite7" />
                     </antcall>
  </target>
    
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions8" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                     <antcall target="test.integration">
                                     <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions8.APROut_RegressionSuite8" />
                     </antcall>
  </target>
    
  <target name="test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions9" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                    <antcall target="test.integration">
                                     <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.addpayment.testsuites.APR_Regressions.APROut_Regressions9.APROut_RegressionSuite9" />
                    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.sales.testsuites.SAL_Regressions" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.sales.testsuites.SAL_Regressions.SAL_RegressionSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.procurement.testsuites.PRO_Regressions" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.procurement.testsuites.PRO_Regressions.PRO_RegressionSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.aum.testsuites.aum" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.aum.testsuites.aum.AUMTestSuite" />
                  </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.procurement.testsuites.returntovendor" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                    <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.procurement.testsuites.returntovendor.RTVSuite" />
                    </antcall>
    </target>

  <target name="test.integration.erp.modules.functionalteam.procurement.testsuites.copyfromorder" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
	            <antcall target="test.integration">
	                          <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.procurement.testsuites.copyfromorder.CFPO_Suite" />
	            </antcall>
  </target>

  <target name="test.integration.erp.modules.functionalteam.sales.testsuites.copyfromorder" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
	            <antcall target="test.integration">
	                          <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.sales.testsuites.copyfromorder.CFSO_Suite" />
	            </antcall>
  </target>
  
  <target name="procreatelinesfrom1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.procurement.testsuites.createlinesfrom.createlinesfrom1.CLF_ProSuite1" />
                  </antcall>
    </target>
  <target name="procreatelinesfrom2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                    <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.procurement.testsuites.createlinesfrom.createlinesfrom2.CLF_ProSuite2" />
                    </antcall>
      </target>
  <target name="procreatelinesfrom3" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                    <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.procurement.testsuites.createlinesfrom.createlinesfrom3.CLF_ProSuite3" />
                    </antcall>
      </target>

    <target name="salcreatelinesfrom1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.sales.testsuites.createlinesfrom.createlinesfrom1.CLF_SalSuite1" />
                  </antcall>
    </target>
  <target name="salcreatelinesfrom2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                    <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.sales.testsuites.createlinesfrom.createlinesfrom2.CLF_SalSuite2" />
                    </antcall>
      </target>
      <target name="salcreatelinesfrom3" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                        <antcall target="test.integration">
                                      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.sales.testsuites.createlinesfrom.createlinesfrom3.CLF_SalSuite3" />
                        </antcall>
          </target>
  
  <target name="test.integration.erp.modules.dateformat.spanishdateformat.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.dateformat.spanishdateformat.testsuites.SpanishDateFormatSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.dateformat.usadateformat.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.dateformat.usadateformat.testsuites.USADateFormatSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.dateformat.dotspanishdateformat.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.dateformat.dotspanishdateformat.testsuites.DotSpanishDateFormatSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.dateformat.dotusadateformat.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.dateformat.dotusadateformat.testsuites.DotUSADateFormatSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.separator.spanishseparator.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.separator.spanishseparator.testsuites.SpanishSeparatorSuite" />
                </antcall>
    </target>
  
  <target name="test.integration.erp.modules.separator.usaseparator.testsuites" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.separator.usaseparator.testsuites.USASeparatorSuite" />
                  </antcall>
    </target>
  
  <target name="test.integration.erp.modules.functionalteam.pricing.testsuites.Pricing" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                <antcall target="test.integration">
                              <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.pricing.testsuites.Pricing.PricingSuite" />
                </antcall>
  </target>
  
  <target name="int-retailsampledata">
                <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.modules.ci.IntRetailSampledataSuite" />
                </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.reservation.testsuites.RES_Regressions.RES_Regressions1" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                  <antcall target="test.integration">
                                <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.reservation.testsuites.RES_Regressions.RES_Regressions1.RES_RegressionSuite1" />
                  </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.reservation.testsuites.RES_Regressions.RES_Regressions2" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                    <antcall target="test.integration">
                                  <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.reservation.testsuites.RES_Regressions.RES_Regressions2.RES_RegressionSuite2" />
                    </antcall>
    </target>
    
    <target name="test.integration.erp.modules.functionalteam.reservation.testsuites.RES_Regressions.RES_Regressions3" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser, test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
                      <antcall target="test.integration">
                                    <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.reservation.testsuites.RES_Regressions.RES_Regressions3.RES_RegressionSuite3" />
                      </antcall>
      </target>

  <target name="test.integration.erp.modules.roletest.testsuites.RoleTest" depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
              <antcall target="test.integration">
                            <param name="testclass" value="com.openbravo.test.integration.erp.modules.roletest.testsuites.RoleTestSuite" />
              </antcall>
  </target>
	
  <target name="com.openbravo.test.integration.erp.modules.reporting.ReportingTestSuite" >
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.reporting.ReportingTestSuite" />
    </antcall>
  </target>	
  
</project>
